Last Comment Bug 309637 - Show/hide events for progress bars not symmetrical
: Show/hide events for progress bars not symmetrical
Status: RESOLVED FIXED
: access, fixed1.8, sec508
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Aaron Leventhal
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 09:58 PDT by Aaron Leventhal
Modified: 2005-09-29 18:54 PDT (History)
2 users (show)
mtschrep: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Progress bar was already hidden by the time we were notified (1.09 KB, patch)
2005-09-22 09:59 PDT, Aaron Leventhal
parente: review+
neil: superreview+
mtschrep: approval1.8b5+
Details | Diff | Review

Description Aaron Leventhal 2005-09-22 09:58:14 PDT
When we fire a show event for a progress bar we also need to fire a hide event
when it goes away.

Otherwise the screen reader starts collecting progress bar objects.
Comment 1 Aaron Leventhal 2005-09-22 09:59:24 PDT
Created attachment 197045 [details] [diff] [review]
Progress bar was already hidden by the time we were notified
Comment 2 parente 2005-09-22 19:27:15 PDT
Comment on attachment 197045 [details] [diff] [review]
Progress bar was already hidden by the time we were notified

r+ as long as the change works for popup menus closing also (i.e. the earlier
part of the if construct)
Comment 3 Mike Schroepfer 2005-09-26 14:37:47 PDT
Comment on attachment 197045 [details] [diff] [review]
Progress bar was already hidden by the time we were notified

Approved per 9/26 bug triage meeting.
Comment 4 Asa Dotzler [:asa] 2005-09-29 18:15:50 PDT
Aaron, time is running out. Better get this landed before we start re-evaluating
our not landed plussed bugs.
Comment 5 Aaron Leventhal 2005-09-29 18:54:12 PDT
I had forgotten to mark this fixed1.8.

Note You need to log in before you can comment on or make changes to this bug.